summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Joielechong <juansspy@gmail.com>2024-05-21 09:02:34 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2024-05-21 10:09:44 +0700
commit3233f7ab908e787fe8b61ccc2f96b5edc871ba5f (patch)
treec59589130c54b9dfd644652c7cb94adbe2ee08b8
parentb9b70b3274cff551cfe36ff0581fd7f35eea9190 (diff)
downloadslackbuilds-3233f7ab9.tar.gz
slackbuilds-3233f7ab9.tar.xz
development/clion: Added (C/C++ IDE).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/clion/README12
-rw-r--r--development/clion/clion.SlackBuild91
-rw-r--r--development/clion/clion.info10
-rw-r--r--development/clion/doinst.sh3
-rw-r--r--development/clion/slack-desc19
5 files changed, 135 insertions, 0 deletions
diff --git a/development/clion/README b/development/clion/README
new file mode 100644
index 0000000000..6c6d1b356c
--- /dev/null
+++ b/development/clion/README
@@ -0,0 +1,12 @@
+IntelliJ IDEA Community Edition is the open source version of IntelliJ
+IDEA, a premier IDE (Integrated Development Environment) for Java,
+Groovy and other programming languages such as Scala or Clojure.
+
+JetBrains leverages the open source effort on JetBrains.org to build
+commercial products such as IntelliJ IDEA Ultimate, which includes many
+Java EE, Web development and deployment-related features that are not
+available in IntelliJ IDEA Community Edition. JetBrains also builds
+different specific products such as RubyMine, WebStorm, PhpStorm,
+PyCharm, AppCode and MPS, which serve the needs of different developer
+communities. These products are also built on top of the open source
+IntelliJ Platform.
diff --git a/development/clion/clion.SlackBuild b/development/clion/clion.SlackBuild
new file mode 100644
index 0000000000..e0e7737563
--- /dev/null
+++ b/development/clion/clion.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/bash
+#
+# Slackware build script for IntelliJ CLion
+# Written by Joielechong (juansspy@gmail.com)
+# This script is just a binary repackaging.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=clion
+ARCNAM=CLion
+VERSION=${VERSION:-2024.1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=x86_64
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/opt/ $OUTPUT
+cd $PKG/opt/
+tar xvf $CWD/$ARCNAM-$VERSION.tar.*z
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Rename extracted source to the correct name
+mv * $PRGNAM
+
+mkdir -p $PKG/usr/{bin,share/applications}
+#mkdir -p $PKG/usr/share/applications
+cat << EOF > $PKG/usr/share/applications/$PRGNAM.desktop
+[Desktop Entry]
+Version=1.0
+Type=Application
+Exec=/opt/$PRGNAM/bin/$PRGNAM.sh
+Name=CLion
+GenericName=CLion
+Comment=A cross-platform IDE for C and C++
+Icon=$PRGNAM
+StartupNotify=true
+Categories=Development;IDE;
+Terminal=false
+StartupWMClass=jetbrains-clion
+EOF
+
+ln -s /opt/$PRGNAM/bin/$PRGNAM.sh $PKG/usr/bin/$PRGNAM.sh
+
+install -D -m 0644 $PKG/opt/$PRGNAM/bin/$PRGNAM.png \
+ $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/clion/clion.info b/development/clion/clion.info
new file mode 100644
index 0000000000..b3d18df2fa
--- /dev/null
+++ b/development/clion/clion.info
@@ -0,0 +1,10 @@
+PRGNAM="clion"
+VERSION="2024.1.1"
+HOMEPAGE="https://www.jetbrains.com/clion/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://download.jetbrains.com/cpp/CLion-2024.1.1.tar.gz"
+MD5SUM_x86_64="5558b6a1268143cfc7155900292c4e11"
+REQUIRES=""
+MAINTAINER="Joielechong"
+EMAIL="juansspy@gmail.com"
diff --git a/development/clion/doinst.sh b/development/clion/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/development/clion/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/development/clion/slack-desc b/development/clion/slack-desc
new file mode 100644
index 0000000000..bdfe8865d8
--- /dev/null
+++ b/development/clion/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+clion: clion (Development IDE)
+clion:
+clion: CLion is designed for native cross-platform development in C and C++.
+clion: It also provides essential support for CMake language, Python,
+clion: popular web technologies (like JavaScript, XML, HTML, Markdown and
+clion: others), and this also includes support for all the other languages
+clion: that are available through bundled and repository plugins.
+clion:
+clion: Free 30-day trial available
+clion: Free for students and teachers
+clion: